package org.rcisoft.sys.devices.dao;

import org.rcisoft.core.mapper.CyBaseMapper;
import org.rcisoft.sys.devices.entity.Devices;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;
import org.rcisoft.core.model.CyPageInfo;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* Created with cy on 2022年11月24日 下午5:36:12.
*/

public interface DevicesRepository extends CyBaseMapper<Devices> {


    int saveDeviceInfo(@Param("entity") Devices devices);

    void updateDeviceInfo(@Param("entity") Devices devices);

    List<Devices> queryDevicess(@Param("entity") Devices devices);

    /**
    * 分页查询 devices
    *
    */
    IPage<Devices> queryDevicessPaged(CyPageInfo cyPageInfo,@Param("entity") Devices devices);

    /**
     * 根据设备的GUID查询对象
     * @param deviceGuid
     * @return
     */
    Devices getDeviceInfoByGuid(@Param("deviceGuid")String deviceGuid);

    /**
     * 根据设备的sn查询对象
     * @param deviceGuid
     * @return
     */
    Devices getDeviceInfoBySn(@Param("sn")String sn);
}

